Bug 125275 - Punjabi Translation has a bug GurSerif
Summary: Punjabi Translation has a bug GurSerif
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pango   
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL: https://sourceforge.net/projects/punl...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-04 12:33 UTC by Amanpreet Singh Alam
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-28 12:49:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Amanpreet Singh Alam 2004-06-04 12:33:33 UTC
Description of problem:
When used Punjabi on FC2, with the New Free availble OTF Saab.otf,
there is rendering problem and lines shows the blank space. this is
not produce with Gursherif fonts with has no Glyphs (low quality)

Version-Release number of selected component (if applicable):
FC2 related any file that is released under the Translation
GNOME 2.6 is also bugy

How reproducible:
Every time with Saab.otf fonts.
download from
http://guca.sf.net/fonts/


Steps to Reproduce:
1.At login Sreen, Select the Lang=Panjabi
2.Open file manager or other application
3.Main-menu->Run Application 
  
Actual results:
Empty space and wrong character with respect to Unicode 4.0

Expected results:
Only Unicode 4.0 character with proper glyphs must there, but no blank
space.


Additional info:
All the Translation of Fedora Core 2 is work fine with GurSerif fonts
availble 
http://punlinux.sourceforge.net/. 
But it is not complete and no glyps defined. So for enhancement, there
is need to update the translation.

Comment 1 Owen Taylor 2004-08-26 17:08:21 UTC
Can you:

 - Log in in English
 - Create a short string that misdisplays wrong in gedit
 - Attach that text file to this bug report as an attachment
 - Attach a screenshot of the rendering
 - Attach an image of how the text should look

Thanks.

Comment 2 Amanpreet Singh Alam 2004-08-27 04:14:35 UTC
yes, Please close this bug, if you can, becasue I update all the
Translation files for both Fedora & Gnome. Now all files have correct
unicode.

If you need more info, please contact at 

aalam@redhat.com

(Punjabi Tranlsator)

Comment 3 Owen Taylor 2004-08-27 14:59:18 UTC
I don't quite understand - are you saying:

A) "With correct Unicode in the translation, things work right 
   currently"

or:
 
B) "With correct Unicode in the translation, things do not work right 
   currently"

Comment 4 Amanpreet Singh Alam 2004-08-28 04:08:49 UTC
A) With Correct Unicode, Translation is correct know, and Everything
is correctly. During Alpha Testing, I check all that.

Comment 5 Owen Taylor 2004-08-28 12:49:04 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.